> ## Documentation Index
> Fetch the complete documentation index at: https://docs.urltodata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit usage history



## OpenAPI

````yaml /openapi.json get /v1/account/usage
openapi: 3.1.0
info:
  title: urltodata.ai
  description: >-
    API for extracting transcripts, metadata, and structured data from YouTube,
    TikTok, Instagram, X (Twitter), Facebook, and the web.
  version: 0.1.0
servers:
  - url: https://api.urltodata.ai
    description: Production API
security:
  - bearerAuth: []
paths:
  /v1/account/usage:
    get:
      summary: Get credit usage history
      operationId: getAccountUsage
      parameters:
        - name: limit
          in: query
          description: Max transactions to return
          schema:
            type: integer
            default: 50
        - name: offset
          in: query
          description: Pagination offset
          schema:
            type: integer
            default: 0
        - name: type
          in: query
          description: >-
            Filter by transaction type (grant, purchase, settled, clawback,
            etc.)
          schema:
            type: string
      responses:
        '200':
          description: Usage history
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountUsage'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    AccountUsage:
      type: object
      properties:
        transactions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              amount:
                type: integer
              type:
                type: string
              description:
                type: string
              job_id:
                type:
                  - string
                  - 'null'
                description: Associated job ID, if applicable
              created_at:
                type: integer
                description: Unix timestamp
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
    ApiError:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
        documentationUrl:
          type: string
  responses:
    Unauthorized:
      description: Authentication required or invalid credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: your-api-key
      description: API key as Bearer token (e.g. Bearer mp_abc123_secret)

````